--- title: "GetDetectionTarget" slug: "security-webshellbehaviordetector-detectionsetting-getdetectiontarget" tags: ["Webshell Behavior Detector"] updated: 2026-09-17T10:15:45Z published: 2026-09-17T10:15:45Z canonical: "api.ncloud-docs.com/security-webshellbehaviordetector-detectionsetting-getdetectiontarget" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetDetectionTarget Available in VPC Get status and information about the detection target server. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/servers | ### Request headers For information about the headers common to all Webshell Behavior Detector APIs, see [Webshell Behavior Detector request headers](/docs/en/security-webshellbehaviordetector#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageIndex` | Integer | Required | Page number | | `pageSize` | Integer | Required | Number of page outputs | ### Request example The following is a sample request. ``` curl --location --request GET 'https://wbd.apigw.ntruss.com/api/v1/servers?pageIndex=0&pageSize=1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'X-NCP-USE_PLATFORM_TYPE: VPC' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | Request handling status | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `content` | Array | - | Detection target list: [content](/docs/en/security-webshellbehaviordetector-detectionsetting-getdetectiontarget#content) | | `totalCount` | Integer | - | Number of response results | | `pageSize` | Integer | - | Number of page outputs | | `pageIndex` | Integer | - | Page number | | `totalPages` | Integer | - | Total number of pages | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `instanceNo` | String | - | VM's instance number | | `serverName` | String | - | VM's server name | | `serverImageName` | String | - | VM's server image name | | `serverStatus` | String | - | VM's current status | | `serverType` | String | - | VM type | | `serverEnvType` | String | - | Server environment type | | `ipAddress` | String | - | Server IP | | `agentStatus` | String | - | Agent status | | `serverGroupId` | String | - | Server group ID | | `serverGroupName` | String | - | Server group name | | `platform` | String | - | Server platform - `VPC` \| `CLASSIC` | | `wasConfigList` | Array | - | WAS detection settings: [wasConfigList](/docs/en/security-webshellbehaviordetector-detectionsetting-getdetectiontarget#wasConfigList) | | `registeredTime` | Integer | - | Detection target registration date and time - Timestamp format | | `activationTime` | Integer | - | Agent activation date and time - Timestamp format | | `latestActivationTime` | Integer | - | Latest agent activation date and time - Timestamp format | | `latestDeactivationTime` | Integer | - | Latest agent deactivation date and time - Timestamp format | | `lastUpdatedTime` | Integer | - | Detection target's latest information modification date and time - Timestamp format | | `memberNo` | Integer | - | Member ID for VM usage | | `memo` | String | - | Notes | | `commandResult` | String | - | Detailed messages about the results of the command | | `resultCode` | String | - | Result code for the command | | `agentVersion` | String | - | Installed agent version | | `agentEnable` | Boolean | - | Agent activation status - `true` \| `false` - `true`: enabled - `false`: disabled | | `agentStage` | String | - | Agent status | | `chargeInstanceNo` | String | - | Instance number on which billing is based | | `resultParam` | JSON | - | Details about the agent's execution/errors, etc. | | `clusterName` | String | - | Cluster name of the pod where the agent is installed | #### `wasConfigList` The following describes `wasConfigList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `wasType` | String | - | WAS type - `jsp` \| `php` | | `webRootPaths` | Array | - | Web root directory | | `fileUploadPaths` | Array | - | File's upload directory | ### Response status codes For information about the HTTP status codes common to all Webshell Behavior Detector APIs, see [Webshell Behavior Detector response status codes](/docs/en/security-webshellbehaviordetector#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "success": true, "code": 0, "message": "success", "result": { "content": [ { "instanceNo": "25****43", "serverName": "tomcat", "serverImageName": "CentOS 7.8 (64-bit) with Tomcat", "serverStatus": "running", "serverType": "VPCServer", "serverEnvType": "HOST", "ipAddress": "172.***.***.***", "agentStatus": "enable", "serverGroupId": null, "serverGroupName": null, "platform": "VPC", "wasConfigList": [ { "wasType": "jsp", "webRootPaths": [ "/opt/tomcat/webapps" ], "fileUploadPaths": [ "/opt/tomcat/webapps/helloworld" ] } ], "registeredTime": 1722409425616, "activationTime": 1722410006635, "latestActivationTime": 1722475527004, "latestDeactivationTime": null, "lastUpdatedTime": 1722475536504, "memberNo": 27***85, "memo": "", "commandResult": "OK", "resultCode": 0, "agentVersion": "1.0.5.030", "agentEnable": true, "agentStage": "RUNNING", "chargeInstanceNo": "25****65", "resultParam": null, "clusterName": null } ], "totalCount": 1, "pageSize": 10, "pageIndex": 0, "totalPages": 1 } } ```